For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
    • NVIDIA Switch Infrastructure
    • I want to...
  • Quick Start
    • Start Here
    • Getting Started with Config Manager
    • TUI Wizard Reference
    • Configuration Samples
    • Interfaces
    • Local Development Quick Start
    • First Run Tour
  • Config Manager Overview
    • Config Manager Concepts
    • Getting Started with Nautobot
  • User Guides
    • New Site Bringup
    • Workflow Lifecycle
  • Deployment
    • Hosting Options
    • Network Topology Requirements
    • Firewall Ports
    • Airgapped Deployment
    • Troubleshooting
  • Services
      • Network ZTP
      • ZTP Architecture
      • Configuration Guide
      • Upload Images
      • ZTP API
        • GETHealthcheck
        • GETCurrent User Info
          • GETLoad Bootscript
          • GETLoad Configuration
          • GETLoad Firmware
          • GETLoad Firmware Checksum
          • GETLoad Firmware
          • POSTMark Provisioned
          • POSTValidate Serial
NVIDIANVIDIA
Developer-friendly docs for your API
Privacy Policy | Your Privacy Choices | Terms of Service | Accessibility | Corporate Policies | Product Security | Contact

Copyright © 2026, NVIDIA Corporation.

LogoLogo
ServicesNetwork ZTP ServiceZTP APIdevice

Validate Serial

||View as Markdown|
POST
https://host.com/v1/device/:device_uuid/validate_serial
POST
/v1/device/:device_uuid/validate_serial
$curl -X POST https://host.com/v1/device/device_uuid/validate_serial \
> -H "Content-Type: application/json" \
> -d '{
> "serial": "SN1234567890"
>}'
1"Serial number SN1234567890 is valid and matches the device record."
Validate the device serial number matches nautobot.
Previous

Mark Provisioned

Next

List All Files

Path parameters

device_uuidstringRequired

Request

This endpoint expects an object.
serialstringRequired

Response

Successful Response

Errors

404
Not Found Error
422
Unprocessable Entity Error